﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using ArcGIS.Core.CIM;
using ArcGIS.Core.Data;
using ArcGIS.Core.Geometry;
using ArcGIS.Desktop.Catalog;
using ArcGIS.Desktop.Core;
using ArcGIS.Desktop.Editing;
using ArcGIS.Desktop.Extensions;
using ArcGIS.Desktop.Framework;
using ArcGIS.Desktop.Framework.Contracts;
using ArcGIS.Desktop.Framework.Dialogs;
using ArcGIS.Desktop.Framework.Threading.Tasks;
using ArcGIS.Desktop.Mapping;

namespace CIMDemos.Demo1
{
  internal class ChangeMap : Button
  {
    protected async override void OnClick()
    {
      Map map = MapView.Active.Map;
      await QueuedTask.Run(() =>
      {
        var def = map.GetDefinition();

        def.Name = "Crimes Map";
        var bookmark = def.Bookmarks.First();
        bookmark.Location = MapView.Active.Extent;

        map.SetDefinition(def);
      });
    }
  }
}
