﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using ArcGIS.Core.CIM;
using ArcGIS.Core.Data;
using ArcGIS.Core.Geometry;
using ArcGIS.Desktop.Catalog;
using ArcGIS.Desktop.Core;
using ArcGIS.Desktop.Editing;
using ArcGIS.Desktop.Extensions;
using ArcGIS.Desktop.Framework;
using ArcGIS.Desktop.Framework.Contracts;
using ArcGIS.Desktop.Framework.Dialogs;
using ArcGIS.Desktop.Framework.Threading.Tasks;
using ArcGIS.Desktop.Mapping;

namespace CIMDemos.Demo1
{
  internal class BasicPattern : Button
  {
    protected async override void OnClick()
    {
      var streets = MapView.Active.Map.FindLayers("streets").First() as FeatureLayer;
      await QueuedTask.Run(() =>
      {
        //access the layer CIM Definition
        var def = streets.GetDefinition() as CIMFeatureLayer;        

        //For debug - can examine definition...
        var str = def.ToXml();

        //Make any changes...

        //set the CIM Definition back
        streets.SetDefinition(def);
      });
    }
  }
}
